﻿// <copyright file="EslEventArgs.cs" company="Codeplex project Eco.Contrib"> 
// The MIT License (MIT) 
// </copyright> 
// <author>Peter Buchmann</author> 

namespace Eco.Contrib
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// TODO: Update summary.
    /// </summary>
    public class EslEventArgs : EventArgs
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="EslEventArgs"/> class.
        /// </summary>
        public EslEventArgs()
            : base()
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="EslEventArgs"/> class.
        /// </summary>
        /// <param name="line">The line.</param>
        public EslEventArgs(string line)
            : base()
        {
            this.Line = line;
        }

        /// <summary>
        /// Gets or sets a value indicating whether this instance is active.
        /// </summary>
        /// <value>
        ///   <c>true</c> if this instance is active; otherwise, <c>false</c>.
        /// </value>
        public bool IsActive
        {
            get;
            set;
        }

        /// <summary>
        /// Gets the line.
        /// </summary>
        public string Line
        {
            get;
            private set;
        }
    }
}
